com.amazon.redshift.plugin.httpserver

## Class InvalidHttpRequestHandler

- java.lang.Object
- - com.amazon.redshift.plugin.httpserver.InvalidHttpRequestHandler

    public class InvalidHttpRequestHandler
    extends Object

Return invalid HTML for all requests.

### Constructor Summary

Constructors
Constructor and Description
`InvalidHttpRequestHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handle(HttpRequest request, HttpResponse response, HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvalidHttpRequestHandler

    public InvalidHttpRequestHandler()

### Method Detail

#### handle

    public void handle(HttpRequest request,
                       HttpResponse response,
                       HttpContext context)
                throws HttpException,
                       IOException

Throws:
  `HttpException`
  `IOException`